org.eclipse.mat.snapshot

## Class PathsFromGCRootsTree

- java.lang.Object
- - org.eclipse.mat.snapshot.PathsFromGCRootsTree

    public final class PathsFromGCRootsTree
    extends Object

This class holds the paths from one single object to its GC roots.

No Instantiate:

### Constructor Summary

Constructors
Constructor and Description
`PathsFromGCRootsTree(int ownId, HashMap<Integer,PathsFromGCRootsTree> objectInboundReferers, int[] objectIds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PathsFromGCRootsTree` `getBranch(int objId)` Get sub tree for a referencing object.
`int[]` `getObjectIds()` Get referencing objects.
`int` `getOwnId()` Get object being the root for this tree.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathsFromGCRootsTree

    public PathsFromGCRootsTree(int ownId,
                                HashMap<Integer,PathsFromGCRootsTree> objectInboundReferers,
                                int[] objectIds)

### Method Detail

#### getOwnId

    public int getOwnId()

Get object being the root for this tree.

Returns:
  object being the root for this tree

#### getObjectIds

    public int[] getObjectIds()

Get referencing objects.

Returns:
  referencing objects

#### getBranch

    public PathsFromGCRootsTree getBranch(int objId)

Get sub tree for a referencing object.

Parameters:
  `objId` - referencing object from which on the sub tree is requested
Returns:
  sub tree for a referencing object